##### 7.5.13.0. GKExp

Procedure from library `nchilbert.lib` (see nchilbert_lib).

Usage:
  GKExp(M); M a module

Return:
  int

Purpose:
  computes the Gelfand-Kirillov-Dimension of coker(M) via Exp(M)

Assume:
  basering is G-Algebra

Note:
  for zero module -1 is returned

Example:

    LIB "nchilbert.lib";
    def A = makeUsl2(); setring A;
    ideal I = e,h-1; I = std(I);
    GKExp(I); // computes GKdim(A/I), should be 1
    ==> Warning: the input generators are not a Groebner basis
    ==> Proceed with Groebner basis computation
    ==> 1
    ideal J = I, f^2; J = std(J);
    GKExp(J); // should be 0
    ==> Warning: the input generators are not a Groebner basis
    ==> Proceed with Groebner basis computation
    ==> 0
    matrix M[2][4] =
    e,h-1,0,0,
    0,0,e,h+1;
    module G = std(M);
    print(G);
    ==> h-1,0,  e,0,
    ==> 0,  h+1,0,e
    GKExp(G);
    ==> 1

See also: GKdim; dim (plural).

User manual for Singular version 4.4.1, 2025, generated by texi2html.